std::_Base_bitset< 1 > Struct Reference

`#include <bitset>`

## Public Types

typedef unsigned long | _WordT

## Public Member Functions

constexpr | _Base_bitset (unsigned long long __val) noexcept
template<size_t _Nb>
constexpr bool | _M_are_all () const noexcept
constexpr void | _M_do_and (const _Base_bitset< 1 > &__x) noexcept
constexpr size_t | _M_do_count () const noexcept
constexpr size_t | _M_do_find_first (size_t __not_found) const noexcept
constexpr size_t | _M_do_find_next (size_t __prev, size_t __not_found) const noexcept
constexpr void | _M_do_flip () noexcept
constexpr void | _M_do_left_shift (size_t __shift) noexcept
constexpr void | _M_do_or (const _Base_bitset< 1 > &__x) noexcept
constexpr void | _M_do_reset () noexcept
constexpr void | _M_do_right_shift (size_t __shift) noexcept
constexpr void | _M_do_set () noexcept
constexpr unsigned long long | _M_do_to_ullong () const noexcept
constexpr unsigned long | _M_do_to_ulong () const noexcept
constexpr void | _M_do_xor (const _Base_bitset< 1 > &__x) noexcept
constexpr const _WordT * | _M_getdata () const noexcept
constexpr _WordT | _M_getword (size_t) const noexcept
constexpr _WordT & | _M_getword (size_t) noexcept
constexpr _WordT | _M_hiword () const noexcept
constexpr _WordT & | _M_hiword () noexcept
constexpr bool | _M_is_any () const noexcept
constexpr bool | _M_is_equal (const _Base_bitset< 1 > &__x) const noexcept

## Static Public Member Functions

static constexpr _WordT | _S_maskbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbyte (size_t __pos) noexcept
static constexpr size_t | _S_whichword (size_t __pos) noexcept

## Public Attributes

_WordT | _M_w

## Detailed Description

Base class, specialization for a single word.

See documentation for bitset.

Definition at line 401 of file bitset.

## Member Typedef Documentation

## _WordT

typedef unsigned long std::_Base_bitset< 1 >::_WordT

Definition at line 403 of file bitset.

## Constructor & Destructor Documentation

## _Base_bitset() [1/2]

constexpr std::_Base_bitset< 1 >::_Base_bitset | ( |  | ) |

inline constexpr noexcept

Definition at line 406 of file bitset.

## _Base_bitset() [2/2]

constexpr std::_Base_bitset< 1 >::_Base_bitset | ( | unsigned long long | __val | ) |

inline constexpr noexcept

Definition at line 411 of file bitset.

## Member Function Documentation

## _M_are_all()

template<size_t _Nb>

constexpr bool std::_Base_bitset< 1 >::_M_are_all | ( |  | ) | const

inline constexpr noexcept

Definition at line 494 of file bitset.

## _M_do_and()

constexpr void std::_Base_bitset< 1 >::_M_do_and | ( | const _Base_bitset< 1 > & | __x | ) |

inline constexpr noexcept

Definition at line 457 of file bitset.

## _M_do_count()

constexpr size_t std::_Base_bitset< 1 >::_M_do_count | ( |  | ) | const

inline constexpr noexcept

Definition at line 503 of file bitset.

## _M_do_find_first()

constexpr size_t std::_Base_bitset< 1 >::_M_do_find_first | ( | size_t | __not_found | ) | const

inline constexpr noexcept

Definition at line 517 of file bitset.

## _M_do_find_next()

constexpr size_t std::_Base_bitset< 1 >::_M_do_find_next | ( | size_t | __prev,
|  | size_t | __not_found
| ) |  | const

inline constexpr noexcept

Definition at line 527 of file bitset.

## _M_do_flip()

constexpr void std::_Base_bitset< 1 >::_M_do_flip | ( |  | ) |

inline constexpr noexcept

Definition at line 477 of file bitset.

## _M_do_left_shift()

constexpr void std::_Base_bitset< 1 >::_M_do_left_shift | ( | size_t | __shift | ) |

inline constexpr noexcept

Definition at line 469 of file bitset.

## _M_do_or()

constexpr void std::_Base_bitset< 1 >::_M_do_or | ( | const _Base_bitset< 1 > & | __x | ) |

inline constexpr noexcept

Definition at line 461 of file bitset.

## _M_do_reset()

constexpr void std::_Base_bitset< 1 >::_M_do_reset | ( |  | ) |

inline constexpr noexcept

Definition at line 485 of file bitset.

## _M_do_right_shift()

constexpr void std::_Base_bitset< 1 >::_M_do_right_shift | ( | size_t | __shift | ) |

inline constexpr noexcept

Definition at line 473 of file bitset.

## _M_do_set()

constexpr void std::_Base_bitset< 1 >::_M_do_set | ( |  | ) |

inline constexpr noexcept

Definition at line 481 of file bitset.

## _M_do_to_ullong()

constexpr unsigned long long std::_Base_bitset< 1 >::_M_do_to_ullong | ( |  | ) | const

inline constexpr noexcept

Definition at line 512 of file bitset.

## _M_do_to_ulong()

constexpr unsigned long std::_Base_bitset< 1 >::_M_do_to_ulong | ( |  | ) | const

inline constexpr noexcept

Definition at line 507 of file bitset.

## _M_do_xor()

constexpr void std::_Base_bitset< 1 >::_M_do_xor | ( | const _Base_bitset< 1 > & | __x | ) |

inline constexpr noexcept

Definition at line 465 of file bitset.

## _M_getdata()

constexpr const _WordT * std::_Base_bitset< 1 >::_M_getdata | ( |  | ) | const

inline constexpr noexcept

Definition at line 444 of file bitset.

## _M_getword() [1/2]

constexpr _WordT std::_Base_bitset< 1 >::_M_getword | ( | size_t |  | ) | const

inline constexpr noexcept

Definition at line 439 of file bitset.

## _M_getword() [2/2]

constexpr _WordT & std::_Base_bitset< 1 >::_M_getword | ( | size_t |  | ) |

inline constexpr noexcept

Definition at line 435 of file bitset.

## _M_hiword() [1/2]

constexpr _WordT std::_Base_bitset< 1 >::_M_hiword | ( |  | ) | const

inline constexpr noexcept

Definition at line 453 of file bitset.

## _M_hiword() [2/2]

constexpr _WordT & std::_Base_bitset< 1 >::_M_hiword | ( |  | ) |

inline constexpr noexcept

Definition at line 449 of file bitset.

## _M_is_any()

constexpr bool std::_Base_bitset< 1 >::_M_is_any | ( |  | ) | const

inline constexpr noexcept

Definition at line 499 of file bitset.

## _M_is_equal()

constexpr bool std::_Base_bitset< 1 >::_M_is_equal | ( | const _Base_bitset< 1 > & | __x | ) | const

inline constexpr noexcept

Definition at line 489 of file bitset.

## _S_maskbit()

static constexpr _WordT std::_Base_bitset< 1 >::_S_maskbit | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 431 of file bitset.

## _S_whichbit()

static constexpr size_t std::_Base_bitset< 1 >::_S_whichbit | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 427 of file bitset.

## _S_whichbyte()

static constexpr size_t std::_Base_bitset< 1 >::_S_whichbyte | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 423 of file bitset.

## _S_whichword()

static constexpr size_t std::_Base_bitset< 1 >::_S_whichword | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 419 of file bitset.

## Member Data Documentation

## _M_w

_WordT std::_Base_bitset< 1 >::_M_w

Definition at line 404 of file bitset.

The documentation for this struct was generated from the following file:

- bitset